<!--ADDTOCART PANE-->

<!--Initialize Java Beans-->
<jsp:useBean id="data" class="com.yardpros.DataBase" scope="session" />
<jsp:useBean id="user" class="com.yardpros.User" scope="session" />
<jsp:useBean id="cart" class="com.yardpros.Cart" scope="session" />
<%@ page import="com.yardpros.Links" %> 
<?@ page import="java.text.DecimalFormat" ?> 
<% 
  try
  {
    //REMOVE BEFORE COMPLETION
    //testing for metaobject version of cart
    //double listPrice = Double.parseDouble( data.getEntry(new Integer(productIDRequest), "productID", 
    //                                  "price", "products") );
    //Object[] metaData = { new Integer(quantityRequest) , new Double(listPrice) };
    
    // checks to see that there are enough products for the request
    int productIDRequest = Integer.parseInt(request.getParameter("productID"));
    int quantityRequest = Integer.parseInt(request.getParameter("quantity"));
    int productStock = Integer.parseInt(request.getParameter("stock"));
    String productName = data.getEntry(new Integer(productIDRequest),"productID","name","products");
    
    //Checks if there is enough of that product in stock
    if(quantityRequest > productStock)
      throw new com.yardpros.InvalidInputException("We're sorry, but we cannot currently proccess "
                                       +quantityRequest+" "+productName+"(s)");
                                       
    //Add the product to the cart
    cart.put(new Integer(productIDRequest),  new Integer(quantityRequest));
    cart.checkEntries();
%>
<table class="table2">
  <tr>
    <th colspan="2"><%=quantityRequest +" "+productName+"(s) "%> Added to the Cart.</th>
  </tr>
  <tr>
    <td><a href = "index.jsp?link=<%= Links.CART %>">View Cart</a></td>
    <td><a href = "index.jsp?link<%= Links.PRODUCTS %>">Continue Shopping</a></td>
  </tr>
</table>  

<%
  }
  //Catch all possible user input errors
  catch(com.yardpros.InvalidInputException e)
  {
    out.println("<table class=\"table2\"><tr><td><b>Order Error</b>: "+e.toString()+"<td/></tr></table>");
    cart.clear();
  }
  catch(Exception e)
  {
    out.println("<b>Order failed:</b><br/>"+
    e.toString()+"<br/>"+
    e.getStackTrace()[0].getClassName()+"<br/> "+
    e.getStackTrace()[0].getLineNumber()+"<br/> "+
    e.getStackTrace()[0].toString()+"<br/><br /><br />");
    Object [] array = cart.keySet().toArray();
    out.println(cart.toString());
  }
%>
<!--END OF ADDTOCART PANE-->
