<!--PRODUCT PANE-->
<!--Initialize Java Beans-->
<jsp:useBean id="data" class="com.yardpros.DataBase" scope="session" />
<jsp:useBean id="user" class="com.yardpros.User" scope="session" />
<jsp:useBean id="cart" class="com.yardpros.Cart" scope="session" />
<%@ page import="com.yardpros.Links" %> 
<% 
  boolean loggedIn = !user.get("username").equals("");
  java.sql.ResultSet products = data.getAll("products");
  
  //Prints out the products
  while( products.next() )
  {
    int id = products.getInt("productID");
    int inStock = products.getInt("stock");
    boolean isLowStock = (inStock < 6);
    boolean isInStock = (inStock > 0);
    String prodName = products.getString("name");
    String desc = products.getString("description");
    double price = products.getDouble("price");
    //TESTING
    //out.println(products.getMetaData().getColumnName(1));
    //out.println(data.getEntry(new Integer(2),"productID","inStock","products").toString() );
    //int inStock = 10;
    //out.println(id);
    java.text.DecimalFormat formatter = new java.text.DecimalFormat();
    formatter.setMinimumFractionDigits(2);
    formatter.setCurrency(java.util.Currency.getInstance(java.util.Locale.US));
%>

<% String action = request.getParameter("action"); %>
<form action = "index.jsp?link=<%= Links.ADDTOCART %>" method = "POST" /> 
<input type="hidden" name="stock" value="<%= inStock %>" />
    <table class = "table2">
        <tr>
            <td>
                <img src = "pics/<%= id %>.jpg" width = "150" height = "150">
            </td>
            <td valign = "top" width = "50%">
                <b><%= prodName %></b><br />
                Description: <br />
                <%= desc %><br /><br />
             <%  //Prints in red if low in stock
                 if( isLowStock ) 
                      out.println("<low>Amount in Stock: "+inStock+" </low>");
                 else 
                      out.println("Amount in Stock: "+inStock);
             %>
            </td>
            <td align = "center" valign ="top" width = "20%">
                Price: <%= formatter.getCurrency().getSymbol()+
                           formatter.format(price) %><br />
           <%  //Hides the quantity field if not logged in
               if(loggedIn && isInStock) {%>                           
                Quantity: <input type = "text" name = "quantity" size = "4" 
                                 maxlength = "3" value = "0" /><br />
              <%}%>
            </td>
        </tr>
    </table>
<br />
<input type ="hidden" name="productID" value="<%= id %>">
<% //Hides the add to card button if not logged in
 if(loggedIn && isInStock) {%>
  <input type = "submit" value = "Add to Cart"><br />
<%}%>
</form>
<hr width="95%"/>
<%  
    }
%>
<!--END PRODUCT PANE-->

