<!--CHECKOUT PANE-->
<!--Initialize Java Beans-->
<jsp:useBean id="data" class="com.yardpros.DataBase" scope="session" />
<jsp:useBean id="user" class="com.yardpros.User" scope="session" />
<jsp:useBean id="cart" class="com.yardpros.Cart" scope="session" />
<%@ page import="com.yardpros.Links" %> 

<!--Initialize Java Formatter-->
<%  
    java.text.DecimalFormat formatter = new java.text.DecimalFormat();
    formatter.setMinimumFractionDigits(2);
    formatter.setCurrency(java.util.Currency.getInstance(java.util.Locale.US));
%>

<table class="table1" cellspacing="0" width = "250">
  <tr>
    <td class="tableHd" colspan="2">Your Order</td>
  </tr>
<%
  double total = 0;  
  //to avoid concurrent editing of the cart.
  java.util.Map map = java.util.Collections.synchronizedMap(cart);
  java.util.Iterator iter = map.keySet().iterator();
  //Prints product in your cart
  while(iter.hasNext())
  {
    Integer productID = (Integer)iter.next();
    int quantity = ((Integer)cart.get(productID)).intValue();
    String name = data.getEntry(productID, "productID", "name", "products");
    double price = Double.parseDouble( data.getEntry(productID, "productID", 
                                        "price", "products") );
    double subtotal = quantity * price;
    total = total + subtotal;
%>
  <tr>
    <td>-<%= name %></td>
    <td align="right"><%= quantity %></td>
  </tr>
    
<%
  }
%>    
  <tr>
    <td><b>TOTAL</b></td>
    <td align = "right">$<%= formatter.format(total) %></td>
  </tr>
</table>

<br/><hr width = "300" align = "left" />

<form action="index.jsp?link=<%= Links.SUBMITORDER %>" method="POST">
<table class="table2">
  <tr>
    <th colspan="4" align="center">Checkout Information</th>
  <tr>
    <td>Credit Card</td>
    <td align="right">
      <select name="creditcard">
        <option value="MC" />MasterCard
        <option value="VA" />Visa
        <option value="DS" />Discover
        <option value="AE" />AmericanExpress
      </select>
    </td>
    <td>Exp Date</td>
    <td align="right">
      <select name="expirationdate">
      <% 
          for(int j=2005;j<2021;j++)
            for(int i=1;i<13;i++)
              out.println("<option value=\""+i+"/"+j+"\" />"+i+"/"+j);
      %>
      </select>
    </td>
  </tr>
  <tr>
    <td>CC#</td>
    <td align="right"><input type="text" name="creditcardnumber" size="20"
                      maxlength="16" /></td>
 <!-- this is for the new window link -->
 <SCRIPT language="JavaScript">
 <!--
 function newwindow()
 {
 window.open('http://www.schwartzbooks.com/cvv.html','jav','width=600,height=400,resizable=no');
 }
//-->
</SCRIPT>
    <td><a href="http://www.schwartzbooks.com/cvv.html" onClick="newwindow();return false">CVV #</a></td>
    <td align="right"><input type="text" name="confirmnumber" size="3"
                      maxlength="3" /></td>
  </tr>
  <tr>
    <td><input type="submit" value="Submit">
  </tr>
</table>
</form>
