<!--MODIFYPRODUCTS PANE-->
<jsp:useBean id="data" class="com.yardpros.DataBase" scope="session" />
<jsp:useBean id="user" class="com.yardpros.User" scope="session" />
<jsp:useBean id="cart" class="com.yardpros.Cart" scope="session" />
<%@ page import="com.yardpros.Links" %> 

<form action = "index.jsp?link=<%= Links.MODPRODUCT3 %>" method = "POST" />
<%
  java.text.DecimalFormat formatter = new java.text.DecimalFormat();
  formatter.setMinimumFractionDigits(2);
  formatter.setGroupingUsed(false);
  com.yardpros.Product product = new com.yardpros.Product();
  try
  {
    if( request.getParameter("productID") != null )
    {
      product = data.getProduct(Integer.parseInt(request.getParameter("productID")));
      out.println("<input type=\"hidden\" name=\"productID\" value=\""+request.getParameter("productID")+"\">");
    }
%>
<table class = "table2" width = "70%">
    <tr>
        <td width = "25%">
            Product Name:  
        </td>
        <td>
            <input type = "text" name = "name" size = "20" 
								value="<%= product.get("name") %>"/>
        </td>
    </tr>
    <tr>
        <td>
            Amount in Stock:
        </td>
        <td>
            <input type = "text" name = "stock" size = "20" 
								value="<%= product.get("stock") %>"/>
        </td>
    </tr>
    <tr>
        <td>
            Price:
        </td>
        <td>
            <input type = "text" name = "price" size = "20" 
								value="<%= formatter.format(product.get("price")) %>"/>
        </td>
    </tr>
    <tr>
        <td>
            Description:
        </td>
        <td>
            <textarea name = "description" rows = "6" cols = "30"><%= 
                product.get("description") %></textarea>
        </td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td>
        <input type = "submit" value = "Update Product Info" />
      </td>
     </tr>
</table>
</form>

<%
  }
  catch(com.yardpros.InvalidInputException e)
  {
    out.println("<b>Input Error</b>: "+e.toString());
  }
  catch(ClassCastException e)
  {
    out.println("<b>Error</b>: non-integer value");
  }
%>

<!--END MODIFYPRODUCTS PANE-->